%global npm_name stringstream
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.0.6
Release: %mkrel 2
Summary: Encode and decode streams into string streams
License: MIT
Group: Development/Other
URL: https://github.com/mhart/StringStream#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr example.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr stringstream.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE.txt
%doc README.md



%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.0.6-2.mga8
+ Revision: 1526956
- Mageia 8 Mass Rebuild

* Sat Jul 06 2019 kekepower <kekepower> 0.0.6-1.mga8
+ Revision: 1419134
- Update to version 0.0.6

* Thu Sep 20 2018 umeabot <umeabot> 0.0.5-2.mga7
+ Revision: 1280986
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 0.0.5-1.mga7
+ Revision: 1224805
- imported package nodejs-stringstream

